Subject: Re: [patch 18/19] mv643xx ethernet driver IRQ registration fix

From: Jeff Garzik <[email-masked]>
Date: Tue, 06 Mar 2007 06:16:43 -0500

[email-masked] wrote:
> From: Giridhar Pemmasani <[email-masked]>
> 
> During initialization, mv643xx driver registers IRQ before setting up tx/rx
> rings.  This causes kernel oops because mv643xx_poll, which gets called
> right after registering IRQ, calls netif_rx_complete, which accesses the rx
> ring (I don't have the oops message anymore; I just remember this sequence
> of calls).  Attached (tested) patch first initializes the rx/tx rings and
> then registers the IRQ.
> 
> Signed-off-by: Giridhar Pemmasani <[email-masked]>
> Cc: Dale Farnsworth <[email-masked]>
> Cc: Jeff Garzik <[email-masked]>
> Signed-off-by: Andrew Morton <[email-masked]>
> ---
> 
>  drivers/net/mv643xx_eth.c |   40 +++++++++++++++++++-----------------
>  1 file changed, 22 insertions(+), 18 deletions(-)

seems sane enough to me, but I would like to get this via Dale, who has 
been a fairly active maintainer so far